Close seller tax authority

Credentials

No credentials are documented for this endpoint.

Close a seller's tax authority account.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
seller_email string yes
seller_id_number string yes

Request example

{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/tax-authority/close-seller' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/tax-authority/close-seller", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "seller_email": "seller@example.com",
    "seller_id_number": "123456789"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/tax-authority/close-seller",
    json={
        "seller_email": "seller@example.com",
        "seller_id_number": "123456789",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "seller_email": "seller@example.com",
  "seller_id_number": "123456789"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/tax-authority/close-seller');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Seller tax authority closed successfully (success)

Field Type Description
status integer

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}